Subject: 24.0.94; gdb-many-windows broken for remote debugging

From: Toon Claes <[email-masked]>
Date: Thu, 22 Mar 2012 16:15:01 +0200

Hello,

I've been using emacs for remote debugging (on ARM) for some
time. But
since emacs 24 this does not work as expected.

I can `step`,
`break`, `continue`, etc. with the gdb commands in the
*gud-process*
buffer, without any problems. The other gud-buffers
(local, stack
frames, breakpoints) are nicely updated.
But when I use the gud
keybinding, like C-x C-a C-s, in the source file
buffer, those
gud-buffers are not affected. When I return to the
*gud-process* buffer,
and run `step` the buffers are updated again. And I
can see the
gud-keybinding I've used, did actually do the step, but
without updating
the gud-buffers.

When I run gdb on my local machine, all works like
expected.